""" 
Line Scan 
"""
#setPreference("enabledPlots",(sin,out))

#def lscan(writables, readables, start, end, steps, latency=0.0, relative = False, context=None, before_read=None, after_read=None):
a= lscan(inp, (sin,out,arr), 0, 40, 10, 0.1, context = "Scan1")

path = get_current_data_group()
set_attribute(path, "AttrString", "Value")
set_attribute(path, "AttrInteger", 1)
set_attribute(path, "AttrDouble", 2.0)
set_attribute(path, "AttrBoolean", True)


